# Interface AbstractKernelDensityPlotter.KernelFigure

Enclosing class:
  `AbstractKernelDensityPlotter`

@Equality public static interface AbstractKernelDensityPlotter.KernelFigure
Encapsulates the details of smoothing kernel construction.

Since:
  17 Feb 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Kernel1d`
`createKernel(Kernel1dShape shape, Axis xAxis, boolean xLog)`
Creates a kernel1d smoothing function for use on a given axis.
`ReportMap`
`getReportMap(boolean xLog, double dlo, double dhi)`
Returns report items specific to the way this kernel has operated.

## Method Details

### createKernel

Kernel1d createKernel(Kernel1dShape shape, Axis xAxis, boolean xLog)
Creates a kernel1d smoothing function for use on a given axis.

Parameters:
  `shape` - kernel shape
  `xAxis` - axis on which samples occur
  `xLog` - true for logarithmic x axis, false for linear
Returns:
  kernel

### getReportMap

ReportMap getReportMap(boolean xLog, double dlo, double dhi)
Returns report items specific to the way this kernel has operated.

Parameters:
  `xLog` - true for logarithmic x axis, false for linear
  `dlo` - lower data bound of axis
  `dhi` - upper data bound of axis
Returns:
  report map, may be null